// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_AGENTS_MACHINE_H
#define DDICORE_40_PIM_CLASSES_AGENTS_MACHINE_H

/************************************************************
 Machine class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Agents/Pkg_Agents.h"

#include "DDICore_40_PIM/Classes/Agents/Agent.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/AccessLocation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ContactInformation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Agents {

/************************************************************/
/**
 * Definition
 * ============
 * Mechanism or computer program used to implement a process.
 * 
 * Examples
 * ==========
 * SAS program, photocopier
 * 
 * Explanatory notes
 * ===================
 * May be used as the targetto describe how an action was performed. Relevent to data capture and data processing or wherever a role is performed by a Machine.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Machine: public Agent {
public:

	/**
	 * The function of the machine
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry function[];

	/**
	 * The locations where the machine can be access
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::AccessLocation hasAccessLocation;

	/**
	 * Specified the machine interface. Supports the use of a controlled vocabulary.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry machineInterface[];

	/**
	 * The name of the machine. A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * Contact information for the owner/operator including location specification, address, URL, phone numbers, and other means of communication access. Sets of information can be repeated and date-stamped.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ContactInformation ownerOperatorContact;

	/**
	 * The kind of machine used - software, web service, physical machine, from a controlled vocabulary
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry typeOfMachine;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Agents
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Machine class header
 ************************************************************/

#endif
