// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALDATASETSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALDATASETSTRUCTURE_H

/************************************************************
 PhysicalDataSetStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/FormatDescription/Pkg_FormatDescription.h"

#include "DDICore_40_PIM/Classes/FormatDescription/PhysicalDataSet.h"
#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/NewEnumerations/Pkg_NewEnumerations.h"
#include "DDICore_40_PIM/DataTypes/NewStructuredDataTypes/SpecificationType.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace FormatDescription {

/************************************************************/
/**
 * Definition
 * ============
 * PhysicalStructureOrder orders thePhysicalRecordSegments  which map to a LogicalRecord.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * The same LogicalRecordLayout may be the sourceMember in several adjacency lists. This can happen when PhysicalRecordSegments are also population specific. In this instance each adjacency list associated with a LogicalRecordLayout is associated with a different population.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class PhysicalDataSetStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
	 * 
	 * 
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name;

	/**
	 * 
	 */
	PhysicalDataSet;

	/**
	 * An explanation of the purpose of the relation structure
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Provides semantic context for the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantics;

	/**
	 * Indicates the mathematical properties of the structure.
	 * 
	 */
	::DDICore_40_PIM::DataTypes::NewStructuredDataTypes::SpecificationType specification;

	/**
	 * Indicates the form of the associations among members of the Collection.
	 */
	::DDICore_40_PIM::DataTypes::NewEnumerations::TopologyType topology;

	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	::DDICore_40_PIM::DataTypes::NewEnumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace FormatDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of PhysicalDataSetStructure class header
 ************************************************************/

#endif
