// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_AUTHORIZATIONSOURCE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_AUTHORIZATIONSOURCE_H

/************************************************************
 AuthorizationSource class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Date.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * Identifies the authorizing agency and allows for the full text of the authorization (law, regulation, or other form of authorization).
 * 
 * Examples
 * ==========
 *  May be used to list authorizations from oversight committees and other regulatory agencies.
 * 
 * Explanatory notes
 * ===================
 * Supports requirements for some statistical offices to identify the agency or law authorizing the collection or management of data or metadata.
 * 
 * Synonyms
 * ==========
 * Use for the Case Law, Case Law Description, and Case Law Date properties in ClassificationItem
 * 
 * DDI 3.2 mapping
 * =================
 * r:AuthorizationSourceType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class AuthorizationSource: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * Identifies the date of Authorization.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::Date authorizationDate;

	/**
	 * Provide a legal citation to a law authorizing the study/data collection. For example, a legal citation for a law authorizing a country's census.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalString legalMandate;

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Text of the authorization (law, mandate, approved business case).
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString statementOfAuthorization;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of AuthorizationSource class header
 ************************************************************/

#endif
