// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_DYNAMICTEXT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_DYNAMICTEXT_H

/************************************************************
 DynamicText class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Structure supporting the use of dynamic text, where portions of the textual content change depending on external information (pre-loaded data, response to an earlier query, environmental situations, etc.). 
 * 
 * Examples
 * ==========
 * Purpose: Provide customized number of hours within a question text
 * Input is the OutputParameter from Question "What time did you take this medication?"
 * Literal Text: "During the past " [0]
 * Conditional Text / Command: PastTime=Input; Round PastTime to nearest hour; Round CurrentTime to nearest hour; CurrentTime - PastTime = HOURS; content=HOURS [1]
 * Literal Text: " hours which of the following symptoms have you experienced?" [2]
 * 
 * Result in question text for a PastTime= 06:10; CurrentTime=14:54
 * "During the past 9 hours which of the following symptoms have you experienced?"
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * d:DynamicTextType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class DynamicText {
public:

	/**
	 * Specifies the language of the intended audience. This is particularly important for clarifying the primary language of a mixed language textual string, for example when language testing and using a foreign word withing the question text. Supports the inclusion of multiple languages.
	 */
	language audienceLanguage[];

	/**
	 * If textual structure (e.g. size, color, font, etc.) is required to understand the meaning of the content change value to "true".
	 */
	::PrimitiveTypes::Boolean isStructureRequired;

	/**
	 * This is the head of a substitution group and is never used directly as an element name. Instead it is replaced with either LiteralText or ConditionalText.
	 */
	textContent[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DynamicText class header
 ************************************************************/

#endif
