// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LABELFORDISPLAY_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LABELFORDISPLAY_H

/************************************************************
 LabelForDisplay class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A structured display label. Label provides display content of a fully human readable display for the identification of the object. 
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:LabelType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class LabelForDisplay: public InternationalStructuredString {
public:

	/**
	 * Indicate the locality specification for content that is specific to a geographic area. May be a country code, sub-country code, or area name.
	 */
	ExternalControlledVocabularyEntry locationVariant;

	/**
	 * A positive integer indicating the maximum number of characters in the label.
	 */
	::PrimitiveTypes::Integer maxLength;

	/**
	 * Allows for the specification of a starting date and ending date for the period that this label is valid.
	 */
	DateRange validDates;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of LabelForDisplay class header
 ************************************************************/

#endif
