// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SEGMENT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SEGMENT_H

/************************************************************
 Segment class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/AudioSegment.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ImageArea.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/TextualSegment.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/VideoSegment.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A structure used to express explicit segments or regions within different types of external materials (Textual, Audio, Video, XML, and Image). Provides the appropriate start, stop, or region definitions for each type.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:SegmentType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Segment {
public:

	/**
	 * Describes the type and length of the audio segment.
	 */
	AudioSegment usesAudioSegment[];

	/**
	 * Defines the shape and area of an image used as part of a location representation. The shape is defined as a Rectangle, Circle, or Polygon and Coordinates provides the information required to define it.
	 */
	ImageArea usesImageArea[];

	/**
	 * Defines the segment of textual content used by the parent object. Can identify a set of lines and or characters used to define the segment
	 */
	TextualSegment usesTextualSegment[];

	/**
	 * Describes the type and length of the video segment.
	 */
	VideoSegment usesVideoSegment[];

	/**
	 * An X-Pointer expression identifying a node in the XML document.
	 */
	::PrimitiveTypes::String xml[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Segment class header
 ************************************************************/

#endif
