// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.FormatDescription;

import DDICore_40_PIM.Classes.FormatDescription.PhysicalDataSet;
import DDICore_40_PIM.Classes.Identification.Identifiable;
import DDICore_40_PIM.DataTypes.NewEnumerations.TopologyType;
import DDICore_40_PIM.DataTypes.NewEnumerations.TotalityType;
import DDICore_40_PIM.DataTypes.NewStructuredDataTypes.SpecificationType;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition
  * ============
  * PhysicalStructureOrder orders thePhysicalRecordSegments  which map to a LogicalRecord.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * The same LogicalRecordLayout may be the sourceMember in several adjacency lists. This can happen when PhysicalRecordSegments are also population specific. In this instance each adjacency list associated with a LogicalRecordLayout is associated with a different population.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class PhysicalDataSetStructure extends Identifiable
 {
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
				  * 
				  * 
				 */
				public ObjectName name;
				/**
				 * 
				 */
				public PhysicalDataSet ;
				/**
				 * An explanation of the purpose of the relation structure
				 */
				public InternationalStructuredString purpose;
				/**
				 * Provides semantic context for the relationship
				 */
				public ExternalControlledVocabularyEntry semantics;
				/**
				 * Indicates the mathematical properties of the structure.
				  * 
				 */
				public SpecificationType specification;
				/**
				 * Indicates the form of the associations among members of the Collection.
				 */
				public TopologyType topology;
				/**
				 * Type of relation in terms of totality with respect to an associated collection.
				 */
				public TotalityType totality;
};
