// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Conceptual.Category;
import DDICore_40_PIM.Classes.Representations.CodeList;

/************************************************************/
/**
 * Definition
  * ============
  * Sign for which the Signifier is non-linguistic alphanumeric string 
  * 
  * Examples
  * ==========
  * The letter M might stand for the category Male in the CodeList called Gender.
  * 
  * Explanatory notes
  * ===================
  * A non-linguistic alphanumeric string is one which does not correspond to a word in natural language.
  * For use in a Code List. The representation property (Value) is expressed as it would be found in a data file. Multiple representations may relate to the same Category but should be expressed as separate Codes.
  * 
  * It should not be confused with a ClassificationItem which is a placeholder for a position in a StatisticalClassification. It contains a Designation, for which Code is a kind; a Category; and other things. For example, in 2012 NAICS (North American Industry Classification System) one Classification Item has the Code 23 and the Category construction.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * l:CodeType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Code
 */
public class Code {
				/**
				 * 
				 */
				public CodeList[] ;
				/**
				 * 
				 */
				public Category ;
};
