// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Agents.Organization;
import DDICore_40_PIM.Classes.Representations.ClassificationIndex;
import DDICore_40_PIM.Classes.Representations.ClassificationItemRelationStructure;
import DDICore_40_PIM.Classes.Representations.EnumerationDomain;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ClassificationItemIndicator;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.Date;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.DateRange;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.LabelForDisplay;

/************************************************************/
/**
 * Definition
  * ============
  * set mutually exclusive and jointly exhaustive Categories represented by Classification Items which may be assigned to one or more variables registered in statistical surveys or administrative files, and used in the production and dissemination of statistics
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * A Classification Item represents a Category at a certain Level within a Statistical Classification. The Categories are defined with reference to one or more characteristics of a particular universe of units of observation. A Statistical Classification may have a flat, linear structure or may be hierarchically structured, such that all Categories at lower Levels are sub-Categories of Categories at the next Level up. (Source: GSIM StatisticalClassification) 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Statistical Classification
 */
public class StatisticalClassification extends EnumerationDomain
 {
				/**
				 * A list of languages in which the Statistical Classification is available. Supports the indication of multiple languages within a single property. Supports use of codes defined by the RFC 1766.
				 */
				public DDICore_40_PIM.DataTypes.XMLSchemaDatatypes.language[] availableLanguage;
				/**
				 * Describes the relationship between the variant and its base Statistical Classification, including regroupings, aggregations added and extensions. (Source: GSIM StatisticalClassification/Changes from base Statistical Classification)
				 */
				public InternationalStructuredString changeFromBase;
				/**
				 * Allows for the identification of the member and optionally provides an index for the member within an ordered array
				 */
				public ClassificationItemIndicator[] contains;
				/**
				 * Copyright of the statistical classification.
				 */
				public InternationalString[] copyright;
				/**
				 * A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.
				 */
				public LabelForDisplay[] displayLabel;
				/**
				 * Indicates if the Statistical Classification is currently valid.
				 */
				public boolean isCurrent;
				/**
				 * Indicates if the Statistical Classification is a floating classification. In a floating statistical classification, a validity period should be defined for all Classification Items which will allow the display of the item structure and content at different points of time. (Source: GSIM StatisticalClassification/Floating
				 */
				public boolean isFloating;
				/**
				 * 
				 */
				public Organization[] ;
				/**
				 * 
				 */
				public DDICore_40_PIM.Classes.Representations.StatisticalClassification[] ;
				/**
				 * 
				 */
				public ClassificationItemRelationStructure ;
				/**
				 * 
				 */
				public ClassificationIndex[] ;
				/**
				 * 
				 */
				public DDICore_40_PIM.Classes.Representations.StatisticalClassification[] ;
				/**
				 * 
				 */
				public DDICore_40_PIM.Classes.Representations.StatisticalClassification ;
				/**
				 * If the Statistical Classification is a variant, notes the specific purpose for which it was developed. (Source: GSIM StatisticalClassification/Purpose of variant)
				 */
				public InternationalStructuredString purposeOfVariant;
				/**
				 * Explanation of the reasons some decision was made or some object exists. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString rationale;
				/**
				 * Date the Statistical Classification was released
				 */
				public Date releaseDate;
				/**
				 * Summary description of changes which have occurred since the most recent classification version or classification update came into force.
				 */
				public InternationalStructuredString[] updateChanges;
				/**
				 * Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString usage;
				/**
				 * The date the statistical classification enters production use and the date on which the Statistical Classification was superseded by a successor version or otherwise ceased to be valid. (Source: GSIM Statistical Classification)
				 */
				public DateRange validDates;
};
